//
//  RootViewController.m
//  navApp

#import "RootViewController.h"


@implementation RootViewController
@synthesize array;


- (void)viewDidLoad {
    [super viewDidLoad];

	array = [[NSMutableArray alloc]init];
	[array addObject:@"India"];
	[array addObject:@"Pakistan"];
	[array addObject:@"UK"];
	[array addObject:@"USA"];
	[array addObject:@"Sri Lanka"];
	
}

- (void)didReceiveMemoryWarning {
	// Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
	
	// Release any cached data, images, etc that aren't in use.
}

- (void)viewDidUnload {
	// Release anything that can be recreated in viewDidLoad or on demand.
	// e.g. self.myOutlet = nil;
}


#pragma mark Table view methods

- (NSInteger)numberOfSectionsInTableView:(UITableView *)tableView {
    return 1;
}


// Customize the number of rows in the table view.
- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section {
  return [array count];
}


// Customize the appearance of table view cells.
- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath {
		 
    static NSString *CellIdentifier = @"Cell";
    
    UITableViewCell *cell = [tableView dequeueReusableCellWithIdentifier:CellIdentifier];
    if (cell == nil) {
        
		cell = [[[UITableViewCell alloc] initWithFrame:CGRectZero reuseIdentifier:CellIdentifier] autorelease];
		
		//To Set Selected Background Color
		UIImageView *selectedBackground = [[UIImageView alloc] initWithFrame:CGRectMake(0,0, 320,100)];
		selectedBackground.backgroundColor = [UIColor orangeColor];
		[cell setSelectedBackgroundView:selectedBackground];
	}
  	// Configure the cell.
	NSString *cellValue = [array objectAtIndex:indexPath.row];
	cell.textLabel.text = cellValue; 
   
	return cell;
}


- (void)dealloc {
    [super dealloc];
	[array release];
}


@end

